package aonsupabase

import (
	"github.com/beego/beego/v2/core/logs"
	"github.com/supabase-community/supabase-go"
)

var API_URL = "http://43.198.54.207:8000"
var API_KEY = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyAgCiAgICAicm9sZSI6ICJhbm9uIiwKICAgICJpc3MiOiAic3VwYWJhc2UtZGVtbyIsCiAgICAiaWF0IjogMTY0MTc2OTIwMCwKICAgICJleHAiOiAxNzk5NTM1NjAwCn0.dc_X5iR_VP_qT0zsiyj_I_OZ2T9FtRU2BBNWN8Bu4GE"
var MyClient *supabase.Client

func init() {
	var err error
	MyClient, err = supabase.NewClient(API_URL, API_KEY, nil)
	if err != nil {
		logs.Debug("cannot initalize client:", err)
	}
}
